<div class="container">
    <div class="row justify-content-end">
        <h2 class="fw-bold text-center my-3">DATA PAGE</h2>
        <a href="?url=dist/view/cppage/tambah" class="btn btn-primary col-md-2 ms-3 col-6 me-auto">Add Page</a>
        <a href="?url=dist/view/cpmenu/index" class="text-dark btn btn-warning col-md-2 mx-2 me-auto">Set Menu</a>
        <form method="post" class="col-md-4">
            <div class="form-outline d-flex">
                <input type="text" name="search" placeholder="Search" id="" class="form-control">
                <button type="submit" name="submit" class="btn btn-primary mx-2">Search</button>
            </div>
        </form>
    </div>
    <div class="row p-3">
        <table border="1" class="table table-hover col-12">
            <tr class="table-dark">
                <th>No.</th>
                <th>Page Name</th>
                <th>Permalink</th>
                <th>Date Created</th>
                <th></th>
            </tr>
            <?php
            $search = $_POST["search"];
            if (isset($_POST["submit"])) {
                $query = mysqli_query($conn, "SELECT * FROM cppage WHERE vPermalink LIKE '%$search%' OR vPageName LIKE '%$search%' OR tContent LIKE '%$search%'");
            } else {
                $limit = 10;
                $page = isset($_GET["page"]) ? (int)$_GET["page"] : 1;
                $start = ($page > 1) ? ($page * $limit) - $limit : 0;
                $query = mysqli_query($conn, "SELECT * FROM cppage WHERE cStatus = 8  LIMIT $start, $limit");

                $total_query = mysqli_query($conn, "SELECT COUNT(*) AS total FROM cppage WHERE cStatus = 8");
                $total_r = mysqli_fetch_assoc($total_query);
                $total = $total_r["total"];
                $pages = ceil($total / $limit);
            }
            $no = $start + 1;

            while ($r = mysqli_fetch_assoc($query)) {
                $id = $r["id"];
                $permalink = $r["vPermalink"];
                $pagename = $r["vPageName"];
                $content = $r["tContent"];
                $date_created = $r["dCreated"];
            ?>
                <tr>
                    <td><?php echo $no++; ?></td>
                    <td><?php echo $pagename; ?></td>
                    <td><?php echo $permalink; ?></td>
                    <td><?php echo $date_created; ?></td>
                    <td>
                        <button type="button" class="btn btn-primary my-2" data-bs-toggle="modal" data-bs-target="#dataPage<?php echo $id; ?>">
                            See More
                        </button>
                        <a href="?url=dist/view/cppage/edit&id_page=<?php echo $id; ?>" class="btn btn-success my-2">Edit</a>
                        <a href="?url=dist/view/cppage/hapus&id_page=<?php echo $id; ?>" class="btn btn-danger my-2" onclick="return confirm('Yakin di hapus')">Hapus</a>
                    </td>
                </tr>
                <!-- get data -->
                <!-- Button trigger modal -->

                <!-- Modal -->
                <div class="modal fade" id="dataPage<?php echo $id; ?>" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h1 class="modal-title fs-5" id="exampleModalLabel">Modal title</h1>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                <div class="form-outline">
                                    <label for="" class="form-label">Page Name</label>
                                    <input class="form-control" type="text" readonly value="<?php echo $pagename; ?>">
                                </div>
                                <div class="form-outline">
                                    <label for="" class="form-label">Permalink</label>
                                    <input class="form-control" type="text" readonly value="<?php echo $permalink; ?>">
                                </div>
                                <div class="form-outline">
                                    <label for="" class="form-label">Date Created</label>
                                    <input class="form-control" type="text" readonly value="<?php echo $date_created; ?>">
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- get data -->
            <?php
            }
            ?>
        </table>
        <div class="col-md-5 col-8 ms-auto">
            <nav aria-label="Page navigation example">
                <ul class="pagination">
                    <li class="page-item">
                        <a class="page-link <?php echo ($page <= 1 ? 'disabled' : 'active'); ?>" href="?url=dist/view/cppage/index&page=<?php echo $page-1; ?>" aria-label="Previous">
                            <span aria-hidden="true">&laquo;</span>
                        </a>
                    </li>
                    <?php 
                    $i = 1;
                    while($i <= $pages) { 
                    ?>
                    <li class="page-item">
                        <a class="page-link" href="?url=dist/view/cppage/index&page=<?php echo $i; ?>"><?php echo $i; ?></a>
                    </li>
                    <?php 
                    $i++;
                    } ?>
                    <li class="page-item">
                        <a class="page-link <?php echo ($page >= $pages) ? '' : 'disabled'; ?>" href="?url=dist/view/cppage/index&page=<?php echo $page + 1; ?>" aria-label="Next">
                            <span aria-hidden="true">&raquo;</span>
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
</div>